%global oname jxl

Name:           jexcelapi
Version:        2.6.12
Release:        %mkrel 13
Group:          Development/Java
Summary:        A Java API to read, write and modify Excel spreadsheets
License:        LGPLv3
URL:            http://www.andykhan.com/jexcelapi
Source0:        http://www.andykhan.com/jexcelapi/jexcelapi_2_6_12.tar.gz
Source1:        http://repo1.maven.org/maven2/net/sourceforge/jexcelapi/jxl/2.6.12/jxl-2.6.12.pom
Patch0:         jexcelapi-build.patch
Requires:       log4j12
Requires:       liblog4j12-java
Requires:       jpackage-utils

BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  ant
BuildRequires:  jflex
BuildRequires:  findutils
BuildRequires:  sed
BuildRequires:  liblog4j12-java
BuildArch:      noarch

%description
Jexcelapi allows Java developers to read Excel spreadsheets and generate Excel
spreadsheets dynamically. In addition, it contains a mechanism which allows
Java applications to read a spreadsheet, modify some cells and write the
modified spreadsheet.

Thanks to jexcelapi non Windows operating systems can run pure Java applications
which process and deliver Excel spreadsheets. Because it is Java, this API may
be invoked from within a servlet, thus giving access to Excel functionality
over internet and intranet web applications.

Features:
- Reads data from Excel 95, 97, 2000 workbooks
- Reads and writes formulas (Excel 97 and later only)
- Generates spreadsheets in Excel 97 format
- Supports font, number and date formatting
- Supports shading and coloring of cells
- Modifies existing worksheets


%package        javadoc
Summary:        API documentation for %{name}

%description    javadoc
API documentation for %{name}.

%prep
%setup -n %{name} -q

# Clean up binary leftovers
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

# Clean up temp files (confuses javadoc 1.3.1)
find . -name ".#*" -exec rm -f {} \;

%patch0 -p1 -b .build
sed -i "s|%{_javadir}/jflex.jar|%{_javadir}/jflex/jflex.jar|" build/build.xml

%build
pushd build
cat > build.properties <<EOBP
logger=Log4jLogger
loggerClasspath=$(build-classpath log4j12-1.2.17)
EOBP

[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java
export CLASSPATH=$(build-classpath jflex)

mkdir out
ant jxlall
popd

# html doc files should not be executable
chmod -x index.html tutorial.html

%install
# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 0644 jxl.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}.jar $RPM_BUILD_ROOT%{_javadir}/jxl.jar

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -r docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files -f .mfiles
%{_javadir}/jxl.jar
%doc *.html

%files javadoc
%doc index.html
%{_javadocdir}/%{name}



%changelog
* Mon Feb 29 2016 daviddavid <daviddavid> 2.6.12-13.mga6
+ Revision: 980708
- rebuild with fixed deps on liblog4j12-java

* Tue Feb 23 2016 neoclust <neoclust> 2.6.12-12.mga6
+ Revision: 976532
- First rebuild of the java stack
- sync package jexcelapi with fedora

* Tue Feb 09 2016 umeabot <umeabot> 2.6.12-8.mga6
+ Revision: 952187
- Mageia 6 Mass Rebuild

* Tue Jan 20 2015 daviddavid <daviddavid> 2.6.12-7.mga5
+ Revision: 811601
- Sync with fc21
- fix Group
- switch to log4j12 (log4j-1.2.17)

* Wed Oct 15 2014 umeabot <umeabot> 2.6.12-6.mga5
+ Revision: 748691
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6.12-5.mga5
+ Revision: 680789
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.6.12-4.mga4
+ Revision: 506379
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.6.12-3.mga3
+ Revision: 355358
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 2.6.12-2.mga3
+ Revision: 291935
- Fix pom file

* Wed Oct 19 2011 dams <dams> 2.6.12-1.mga2
+ Revision: 156523
- update mkrel

  + gil <gil>
    - imported package jexcelapi

